#pragma once

#include "Actors\Actor.h"

class Background : public Actor
{
public:
	Background();
	virtual ~Background();

	virtual void Update(float dt);
	virtual void Render();
	
	virtual void ReceiveMessage(Message *m);

	void resetPhase(){currentPhase = 0;}

private:
	static const float FLABBY_FACTOR;
	static const float FLABBY_BORDER_FACTOR;
	float currentPhase;
	
	float getBell(float x);
	float getSinus(float x);

	float getCurrentFrequencyFactor();
};